Package anbxj

# Class Crypto_KeyStoreSettings_Map

java.lang.Object
anbxj.Crypto_KeyStoreSettings_Map

public class Crypto_KeyStoreSettings_Map extends Object
A class mapping key stores and their type/purpose.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Crypto_KeyStoreSettings_Map(String path, String myAlias)`
  Constructs a Crypto_KeyStoreSettings_Map with the specified path and alias for keystore settings.
  `Crypto_KeyStoreSettings_Map(Map<Crypto_KeyStoreType,Crypto_KeyStoreSettings> kss)`
  Constructs a Crypto_KeyStoreSettings_Map with the specified map of keystore settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Crypto_KeyStoreSettings`
  `getKeyStoreSettings(Crypto_KeyStoreType kst)`
  Get the keystore settings for the specified keystore type.
  `Map<Crypto_KeyStoreType,Crypto_KeyStoreSettings>`
  `getKeyStoreSettings_Map()`
  Get the map of keystore settings.

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Crypto_KeyStoreSettings_Map

    public Crypto_KeyStoreSettings_Map(Map<Crypto_KeyStoreType,Crypto_KeyStoreSettings> kss)
    Constructs a Crypto_KeyStoreSettings_Map with the specified map of keystore settings.
    Parameters:
      `kss` - The map of keystore settings.

  - ### Crypto_KeyStoreSettings_Map

    public Crypto_KeyStoreSettings_Map(String path, String myAlias)
    Constructs a Crypto_KeyStoreSettings_Map with the specified path and alias for keystore settings.
    Parameters:
      `path` - The path to the keystore.
      `myAlias` - The alias for the keystore.

- ## Method Details

  - ### getKeyStoreSettings

    public Crypto_KeyStoreSettings getKeyStoreSettings(Crypto_KeyStoreType kst)
    Get the keystore settings for the specified keystore type.
    Parameters:
      `kst` - Keystore type.
    Returns:
      The keystore settings.

  - ### getKeyStoreSettings_Map

    public Map<Crypto_KeyStoreType,Crypto_KeyStoreSettings> getKeyStoreSettings_Map()
    Get the map of keystore settings.
    Returns:
      The map of keystore settings.